FROM ekidd/rust-musl-builder as build

USER root

RUN curl -fsSL https://deb.nodesource.com/setup_16.x | bash -
RUN apt-get install -y nodejs
RUN npm install -g yarn

COPY Cargo.toml Cargo.toml
COPY Cargo.lock Cargo.lock
COPY src src
COPY registrar-website registrar-website
RUN cd registrar-website && \
    yarn install && \
    yarn build
RUN cargo build --release --features web

FROM scratch

COPY --from=build /home/rust/src/target/x86_64-unknown-linux-musl/release/registrar /registrar

EXPOSE 1111

ENTRYPOINT ["/registrar"]
